package com.sztzjy.money_management.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例表
 *
 * @author xcj
 * case_info
 */
public class CaseInfo {
    private String caseid;

    @ApiModelProperty("客户姓名")
    private String customerName;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("理财类型")
    private String manageMoneyMattersType;

    @ApiModelProperty("客户案例/综合规划")
    private String model;

    @ApiModelProperty("来源 内置/schoolid")
    private String source;

    @ApiModelProperty("发布人 老师姓名、管理员")
    private String publish;

    @ApiModelProperty("案例增加时间")
    private Date addTime;

    @ApiModelProperty("客户背景")
    private String customerBackdrop;

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard == null ? null : idCard.trim();
    }

    public String getManageMoneyMattersType() {
        return manageMoneyMattersType;
    }

    public void setManageMoneyMattersType(String manageMoneyMattersType) {
        this.manageMoneyMattersType = manageMoneyMattersType == null ? null : manageMoneyMattersType.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getPublish() {
        return publish;
    }

    public void setPublish(String publish) {
        this.publish = publish == null ? null : publish.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getCustomerBackdrop() {
        return customerBackdrop;
    }

    public void setCustomerBackdrop(String customerBackdrop) {
        this.customerBackdrop = customerBackdrop == null ? null : customerBackdrop.trim();
    }
}