package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划案例表
 *
 * @author xcj
 * case_investment_plan
 */
public class CaseInvestmentPlan {
    @ApiModelProperty("案例-投资规划id")
    private String caseInvestmentPlanId;

    @ApiModelProperty("案例题id")
    private String caseId;

    @ApiModelProperty("当前客户所处家庭生命周期Id")
    private String lifeCycleId;

    @ApiModelProperty("保值层比例")
    private BigDecimal holdRate;

    @ApiModelProperty("增值层比例")
    private BigDecimal increaseRate;

    @ApiModelProperty("投机层比例")
    private BigDecimal speculationRate;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("产品选择老师评分")
    private BigDecimal analysisTeacherScore;

    @ApiModelProperty("投资规划分析老师评分")
    private BigDecimal tzghfxTeacherScore;

    @ApiModelProperty("投资规划分析")
    private String analysis;

    public String getCaseInvestmentPlanId() {
        return caseInvestmentPlanId;
    }

    public void setCaseInvestmentPlanId(String caseInvestmentPlanId) {
        this.caseInvestmentPlanId = caseInvestmentPlanId == null ? null : caseInvestmentPlanId.trim();
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public String getLifeCycleId() {
        return lifeCycleId;
    }

    public void setLifeCycleId(String lifeCycleId) {
        this.lifeCycleId = lifeCycleId == null ? null : lifeCycleId.trim();
    }

    public BigDecimal getHoldRate() {
        return holdRate;
    }

    public void setHoldRate(BigDecimal holdRate) {
        this.holdRate = holdRate;
    }

    public BigDecimal getIncreaseRate() {
        return increaseRate;
    }

    public void setIncreaseRate(BigDecimal increaseRate) {
        this.increaseRate = increaseRate;
    }

    public BigDecimal getSpeculationRate() {
        return speculationRate;
    }

    public void setSpeculationRate(BigDecimal speculationRate) {
        this.speculationRate = speculationRate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getAnalysisTeacherScore() {
        return analysisTeacherScore;
    }

    public void setAnalysisTeacherScore(BigDecimal analysisTeacherScore) {
        this.analysisTeacherScore = analysisTeacherScore;
    }

    public BigDecimal getTzghfxTeacherScore() {
        return tzghfxTeacherScore;
    }

    public void setTzghfxTeacherScore(BigDecimal tzghfxTeacherScore) {
        this.tzghfxTeacherScore = tzghfxTeacherScore;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}