package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 客户案例权重表
 *
 * @author xcj
 * client_weight
 */
public class ClientWeight {
    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("风险评测权重")
    private BigDecimal fxcp;

    @ApiModelProperty("财务分析权重")
    private BigDecimal cwfx;

    @ApiModelProperty("现金规划权重")
    private BigDecimal xjgh;

    @ApiModelProperty("教育规划权重")
    private BigDecimal jygh;

    @ApiModelProperty("消费规划权重")
    private BigDecimal xfgh;

    @ApiModelProperty("创业规划权重")
    private BigDecimal cygh;

    @ApiModelProperty("退休规划权重")
    private BigDecimal txgh;

    @ApiModelProperty("保险规划权重")
    private BigDecimal bxgh;

    @ApiModelProperty("投资规划权重")
    private BigDecimal tzgh;

    @ApiModelProperty("税务筹划权重")
    private BigDecimal swch;

    @ApiModelProperty("财产分配权重")
    private BigDecimal ccfp;

    @ApiModelProperty("财产传承权重")
    private BigDecimal cccc;

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public BigDecimal getFxcp() {
        return fxcp;
    }

    public void setFxcp(BigDecimal fxcp) {
        this.fxcp = fxcp;
    }

    public BigDecimal getCwfx() {
        return cwfx;
    }

    public void setCwfx(BigDecimal cwfx) {
        this.cwfx = cwfx;
    }

    public BigDecimal getXjgh() {
        return xjgh;
    }

    public void setXjgh(BigDecimal xjgh) {
        this.xjgh = xjgh;
    }

    public BigDecimal getJygh() {
        return jygh;
    }

    public void setJygh(BigDecimal jygh) {
        this.jygh = jygh;
    }

    public BigDecimal getXfgh() {
        return xfgh;
    }

    public void setXfgh(BigDecimal xfgh) {
        this.xfgh = xfgh;
    }

    public BigDecimal getCygh() {
        return cygh;
    }

    public void setCygh(BigDecimal cygh) {
        this.cygh = cygh;
    }

    public BigDecimal getTxgh() {
        return txgh;
    }

    public void setTxgh(BigDecimal txgh) {
        this.txgh = txgh;
    }

    public BigDecimal getBxgh() {
        return bxgh;
    }

    public void setBxgh(BigDecimal bxgh) {
        this.bxgh = bxgh;
    }

    public BigDecimal getTzgh() {
        return tzgh;
    }

    public void setTzgh(BigDecimal tzgh) {
        this.tzgh = tzgh;
    }

    public BigDecimal getSwch() {
        return swch;
    }

    public void setSwch(BigDecimal swch) {
        this.swch = swch;
    }

    public BigDecimal getCcfp() {
        return ccfp;
    }

    public void setCcfp(BigDecimal ccfp) {
        this.ccfp = ccfp;
    }

    public BigDecimal getCccc() {
        return cccc;
    }

    public void setCccc(BigDecimal cccc) {
        this.cccc = cccc;
    }
}