package com.sztzjy.money_management.entity;

import java.util.ArrayList;
import java.util.List;

public class InsuranceProExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public InsuranceProExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andInsuranceProIdIsNull() {
            addCriterion("insurance_pro_id is null");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdIsNotNull() {
            addCriterion("insurance_pro_id is not null");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdEqualTo(String value) {
            addCriterion("insurance_pro_id =", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdNotEqualTo(String value) {
            addCriterion("insurance_pro_id <>", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdGreaterThan(String value) {
            addCriterion("insurance_pro_id >", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdGreaterThanOrEqualTo(String value) {
            addCriterion("insurance_pro_id >=", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdLessThan(String value) {
            addCriterion("insurance_pro_id <", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdLessThanOrEqualTo(String value) {
            addCriterion("insurance_pro_id <=", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdLike(String value) {
            addCriterion("insurance_pro_id like", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdNotLike(String value) {
            addCriterion("insurance_pro_id not like", value, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdIn(List<String> values) {
            addCriterion("insurance_pro_id in", values, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdNotIn(List<String> values) {
            addCriterion("insurance_pro_id not in", values, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdBetween(String value1, String value2) {
            addCriterion("insurance_pro_id between", value1, value2, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andInsuranceProIdNotBetween(String value1, String value2) {
            addCriterion("insurance_pro_id not between", value1, value2, "insuranceProId");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyIsNull() {
            addCriterion("insurance_company is null");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyIsNotNull() {
            addCriterion("insurance_company is not null");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyEqualTo(String value) {
            addCriterion("insurance_company =", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyNotEqualTo(String value) {
            addCriterion("insurance_company <>", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyGreaterThan(String value) {
            addCriterion("insurance_company >", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("insurance_company >=", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyLessThan(String value) {
            addCriterion("insurance_company <", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyLessThanOrEqualTo(String value) {
            addCriterion("insurance_company <=", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyLike(String value) {
            addCriterion("insurance_company like", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyNotLike(String value) {
            addCriterion("insurance_company not like", value, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyIn(List<String> values) {
            addCriterion("insurance_company in", values, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyNotIn(List<String> values) {
            addCriterion("insurance_company not in", values, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyBetween(String value1, String value2) {
            addCriterion("insurance_company between", value1, value2, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceCompanyNotBetween(String value1, String value2) {
            addCriterion("insurance_company not between", value1, value2, "insuranceCompany");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitIsNull() {
            addCriterion("insurance_limit is null");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitIsNotNull() {
            addCriterion("insurance_limit is not null");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitEqualTo(String value) {
            addCriterion("insurance_limit =", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitNotEqualTo(String value) {
            addCriterion("insurance_limit <>", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitGreaterThan(String value) {
            addCriterion("insurance_limit >", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitGreaterThanOrEqualTo(String value) {
            addCriterion("insurance_limit >=", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitLessThan(String value) {
            addCriterion("insurance_limit <", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitLessThanOrEqualTo(String value) {
            addCriterion("insurance_limit <=", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitLike(String value) {
            addCriterion("insurance_limit like", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitNotLike(String value) {
            addCriterion("insurance_limit not like", value, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitIn(List<String> values) {
            addCriterion("insurance_limit in", values, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitNotIn(List<String> values) {
            addCriterion("insurance_limit not in", values, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitBetween(String value1, String value2) {
            addCriterion("insurance_limit between", value1, value2, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andInsuranceLimitNotBetween(String value1, String value2) {
            addCriterion("insurance_limit not between", value1, value2, "insuranceLimit");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameIsNull() {
            addCriterion("detail_condition_name is null");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameIsNotNull() {
            addCriterion("detail_condition_name is not null");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameEqualTo(String value) {
            addCriterion("detail_condition_name =", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameNotEqualTo(String value) {
            addCriterion("detail_condition_name <>", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameGreaterThan(String value) {
            addCriterion("detail_condition_name >", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameGreaterThanOrEqualTo(String value) {
            addCriterion("detail_condition_name >=", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameLessThan(String value) {
            addCriterion("detail_condition_name <", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameLessThanOrEqualTo(String value) {
            addCriterion("detail_condition_name <=", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameLike(String value) {
            addCriterion("detail_condition_name like", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameNotLike(String value) {
            addCriterion("detail_condition_name not like", value, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameIn(List<String> values) {
            addCriterion("detail_condition_name in", values, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameNotIn(List<String> values) {
            addCriterion("detail_condition_name not in", values, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameBetween(String value1, String value2) {
            addCriterion("detail_condition_name between", value1, value2, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andDetailConditionNameNotBetween(String value1, String value2) {
            addCriterion("detail_condition_name not between", value1, value2, "detailConditionName");
            return (Criteria) this;
        }

        public Criteria andKindIsNull() {
            addCriterion("kind is null");
            return (Criteria) this;
        }

        public Criteria andKindIsNotNull() {
            addCriterion("kind is not null");
            return (Criteria) this;
        }

        public Criteria andKindEqualTo(String value) {
            addCriterion("kind =", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindNotEqualTo(String value) {
            addCriterion("kind <>", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindGreaterThan(String value) {
            addCriterion("kind >", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindGreaterThanOrEqualTo(String value) {
            addCriterion("kind >=", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindLessThan(String value) {
            addCriterion("kind <", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindLessThanOrEqualTo(String value) {
            addCriterion("kind <=", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindLike(String value) {
            addCriterion("kind like", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindNotLike(String value) {
            addCriterion("kind not like", value, "kind");
            return (Criteria) this;
        }

        public Criteria andKindIn(List<String> values) {
            addCriterion("kind in", values, "kind");
            return (Criteria) this;
        }

        public Criteria andKindNotIn(List<String> values) {
            addCriterion("kind not in", values, "kind");
            return (Criteria) this;
        }

        public Criteria andKindBetween(String value1, String value2) {
            addCriterion("kind between", value1, value2, "kind");
            return (Criteria) this;
        }

        public Criteria andKindNotBetween(String value1, String value2) {
            addCriterion("kind not between", value1, value2, "kind");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}