package com.sztzjy.money_management.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author xcj
 * @Date 2024/8/13
 */
@Data
public class TopicDto {
    @ApiModelProperty("所属大纲（普通题库/金融智能/银行从业）")
    private String outline;

    @ApiModelProperty("大纲子类（理论知识/专业能力公共基础/个人理财/风险管理/公司信贷/个人贷款）")
    private String subclass;

    @ApiModelProperty("题目类型（0单选，1多选，2判断）")
    private Integer type;

    @ApiModelProperty("题型数量")
    private String count;

}
