package com.sztzjy.money_management.mapper;

import com.sztzjy.money_management.entity.InsurancePro;
import com.sztzjy.money_management.entity.InsuranceProExample;
import com.sztzjy.money_management.entity.InsuranceProWithBLOBs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface InsuranceProMapper {
    long countByExample(InsuranceProExample example);

    int deleteByExample(InsuranceProExample example);

    int deleteByPrimaryKey(String insuranceProId);

    int insert(InsuranceProWithBLOBs record);

    int insertSelective(InsuranceProWithBLOBs record);

    List<InsuranceProWithBLOBs> selectByExampleWithBLOBs(InsuranceProExample example);

    List<InsurancePro> selectByExample(InsuranceProExample example);

    InsuranceProWithBLOBs selectByPrimaryKey(String insuranceProId);

    int updateByExampleSelective(@Param("record") InsuranceProWithBLOBs record, @Param("example") InsuranceProExample example);

    int updateByExampleWithBLOBs(@Param("record") InsuranceProWithBLOBs record, @Param("example") InsuranceProExample example);

    int updateByExample(@Param("record") InsurancePro record, @Param("example") InsuranceProExample example);

    int updateByPrimaryKeySelective(InsuranceProWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(InsuranceProWithBLOBs record);

    int updateByPrimaryKey(InsurancePro record);

    @Select("select insurance_pro_id,name from insurance_pro where kind=#{type}")
    List<Map<String, String>> getInsurancePro(@Param("type") String type);
}