package com.sztzjy.money_management.mapper;

import com.sztzjy.money_management.entity.StuTraining;
import com.sztzjy.money_management.entity.StuTrainingExample;
import com.sztzjy.money_management.entity.StuTrainingWithBLOBs;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface StuTrainingMapper {
    long countByExample(StuTrainingExample example);

    int deleteByExample(StuTrainingExample example);

    int deleteByPrimaryKey(String trainingId);

    int insert(StuTrainingWithBLOBs record);

    int insertSelective(StuTrainingWithBLOBs record);

    List<StuTrainingWithBLOBs> selectByExampleWithBLOBs(StuTrainingExample example);

    List<StuTraining> selectByExample(StuTrainingExample example);

    StuTrainingWithBLOBs selectByPrimaryKey(String trainingId);

    int updateByExampleSelective(@Param("record") StuTrainingWithBLOBs record, @Param("example") StuTrainingExample example);

    int updateByExampleWithBLOBs(@Param("record") StuTrainingWithBLOBs record, @Param("example") StuTrainingExample example);

    int updateByExample(@Param("record") StuTraining record, @Param("example") StuTrainingExample example);

    int updateByPrimaryKeySelective(StuTrainingWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(StuTrainingWithBLOBs record);

    int updateByPrimaryKey(StuTraining record);

    @Select("select sum(training_time) from stu_training where user_id=#{userId}")
    Integer selectTotalTrainingTimeByUserId(@Param("userId") String userId);
}