package com.sztzjy.money_management.service;

import com.sztzjy.money_management.entity.ObjectiveQuestionWithBLOBs;
import com.sztzjy.money_management.entity.dto.ObjectiveQuestionDto;
import com.sztzjy.money_management.util.ResultEntity;
import org.springframework.http.HttpStatus;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @Author xcj
 * @Date 2024/8/13
 */
public interface ObjectiveQuestionService {
    ResultEntity<HttpStatus> insertObjectiveByExcel(MultipartFile file,
                                                    String source,
                                                    String chapterID,
                                                    String chapterName,
                                                    String outLine,
                                                    String subClass) throws  Exception;

    void commitObjectiveAnswer(List<ObjectiveQuestionDto> dtoList, String userId, String chapterId);

    List<ObjectiveQuestionDto> getObjectiveRecord(String chapterId,String trainingId,boolean flag);
}
