package com.sztzjy.money_management.service;

import com.sztzjy.money_management.entity.StudentScoreWeight;
import com.sztzjy.money_management.entity.dto.StuClientCaseScoreDto;
import com.sztzjy.money_management.entity.dto.StuSynthesisPlanScoreDto;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface TrainingService {

    List<StuClientCaseScoreDto> selectStuClientCaseScoreList(String userId, String schoolId);

    List<StuSynthesisPlanScoreDto> selectStuSynthesisPlanScoreList(String userId, String schoolId);

    Map<String, BigDecimal> getClientWeight(String schoolId);

    List<String> getChapterNameList();

    Map<String, StudentScoreWeight> getStudentScoreWeightMap(String schoolId);

}
