package com.sztzjy.money_management.annotation;

import java.lang.annotation.*;

/**
 * 系统日志
 *  
 *
 * 2023年6月21日
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperateLog {
    /**
     * 记录参数
     *
     * @return 是否记录参数
     */
    boolean recordParameters() default true;

    /**
     * 接口描述
     * @return 操作描述
     */
    String description() default "";
}
