package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例财产分配表
 *
 * @author xcj
 * case_distribution_of_property
 */
public class CaseDistributionOfProperty {
    @ApiModelProperty("案例-财产分配id")
    private String caseDistributionOfPropertyId;

    private String caseid;

    @ApiModelProperty("客户性别")
    private String customerSex;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("职业")
    private String position;

    @ApiModelProperty("家庭成员数")
    private Integer familyNum;

    @ApiModelProperty("财产分配规划工具")
    private String planTool;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("婚姻、财产状况分析老师评分")
    private BigDecimal situationanalysisTeacherScore;

    @ApiModelProperty("财产分配规划分析老师评分")
    private BigDecimal plananalysisTeacherScore;

    public String getCaseDistributionOfPropertyId() {
        return caseDistributionOfPropertyId;
    }

    public void setCaseDistributionOfPropertyId(String caseDistributionOfPropertyId) {
        this.caseDistributionOfPropertyId = caseDistributionOfPropertyId == null ? null : caseDistributionOfPropertyId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getCustomerSex() {
        return customerSex;
    }

    public void setCustomerSex(String customerSex) {
        this.customerSex = customerSex == null ? null : customerSex.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position == null ? null : position.trim();
    }

    public Integer getFamilyNum() {
        return familyNum;
    }

    public void setFamilyNum(Integer familyNum) {
        this.familyNum = familyNum;
    }

    public String getPlanTool() {
        return planTool;
    }

    public void setPlanTool(String planTool) {
        this.planTool = planTool == null ? null : planTool.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getSituationanalysisTeacherScore() {
        return situationanalysisTeacherScore;
    }

    public void setSituationanalysisTeacherScore(BigDecimal situationanalysisTeacherScore) {
        this.situationanalysisTeacherScore = situationanalysisTeacherScore;
    }

    public BigDecimal getPlananalysisTeacherScore() {
        return plananalysisTeacherScore;
    }

    public void setPlananalysisTeacherScore(BigDecimal plananalysisTeacherScore) {
        this.plananalysisTeacherScore = plananalysisTeacherScore;
    }
}