package com.sztzjy.money_management.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 章节表
 *
 * @author xcj
 * chapter
 */
public class Chapter {
    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("添加时间")
    private Date addTime;

    @ApiModelProperty("来源（学校ID/内置）")
    private String source;

    @ApiModelProperty("所属 0/1 0代表客户案例 1代表题目或资源")
    private String families;

    @ApiModelProperty("知识点")
    private String knowledge;

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getFamilies() {
        return families;
    }

    public void setFamilies(String families) {
        this.families = families == null ? null : families.trim();
    }

    public String getKnowledge() {
        return knowledge;
    }

    public void setKnowledge(String knowledge) {
        this.knowledge = knowledge == null ? null : knowledge.trim();
    }
}