package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class RealGoldProductExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RealGoldProductExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andRealgoldProductIdIsNull() {
            addCriterion("realgold_product_id is null");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdIsNotNull() {
            addCriterion("realgold_product_id is not null");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdEqualTo(String value) {
            addCriterion("realgold_product_id =", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdNotEqualTo(String value) {
            addCriterion("realgold_product_id <>", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdGreaterThan(String value) {
            addCriterion("realgold_product_id >", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdGreaterThanOrEqualTo(String value) {
            addCriterion("realgold_product_id >=", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdLessThan(String value) {
            addCriterion("realgold_product_id <", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdLessThanOrEqualTo(String value) {
            addCriterion("realgold_product_id <=", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdLike(String value) {
            addCriterion("realgold_product_id like", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdNotLike(String value) {
            addCriterion("realgold_product_id not like", value, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdIn(List<String> values) {
            addCriterion("realgold_product_id in", values, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdNotIn(List<String> values) {
            addCriterion("realgold_product_id not in", values, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdBetween(String value1, String value2) {
            addCriterion("realgold_product_id between", value1, value2, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andRealgoldProductIdNotBetween(String value1, String value2) {
            addCriterion("realgold_product_id not between", value1, value2, "realgoldProductId");
            return (Criteria) this;
        }

        public Criteria andTradingDayIsNull() {
            addCriterion("trading_day is null");
            return (Criteria) this;
        }

        public Criteria andTradingDayIsNotNull() {
            addCriterion("trading_day is not null");
            return (Criteria) this;
        }

        public Criteria andTradingDayEqualTo(Date value) {
            addCriterionForJDBCDate("trading_day =", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayNotEqualTo(Date value) {
            addCriterionForJDBCDate("trading_day <>", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayGreaterThan(Date value) {
            addCriterionForJDBCDate("trading_day >", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("trading_day >=", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayLessThan(Date value) {
            addCriterionForJDBCDate("trading_day <", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("trading_day <=", value, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayIn(List<Date> values) {
            addCriterionForJDBCDate("trading_day in", values, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayNotIn(List<Date> values) {
            addCriterionForJDBCDate("trading_day not in", values, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("trading_day between", value1, value2, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andTradingDayNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("trading_day not between", value1, value2, "tradingDay");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceIsNull() {
            addCriterion("opening_price is null");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceIsNotNull() {
            addCriterion("opening_price is not null");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceEqualTo(BigDecimal value) {
            addCriterion("opening_price =", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceNotEqualTo(BigDecimal value) {
            addCriterion("opening_price <>", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceGreaterThan(BigDecimal value) {
            addCriterion("opening_price >", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("opening_price >=", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceLessThan(BigDecimal value) {
            addCriterion("opening_price <", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("opening_price <=", value, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceIn(List<BigDecimal> values) {
            addCriterion("opening_price in", values, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceNotIn(List<BigDecimal> values) {
            addCriterion("opening_price not in", values, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("opening_price between", value1, value2, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andOpeningPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("opening_price not between", value1, value2, "openingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceIsNull() {
            addCriterion("closing_price is null");
            return (Criteria) this;
        }

        public Criteria andClosingPriceIsNotNull() {
            addCriterion("closing_price is not null");
            return (Criteria) this;
        }

        public Criteria andClosingPriceEqualTo(BigDecimal value) {
            addCriterion("closing_price =", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceNotEqualTo(BigDecimal value) {
            addCriterion("closing_price <>", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceGreaterThan(BigDecimal value) {
            addCriterion("closing_price >", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("closing_price >=", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceLessThan(BigDecimal value) {
            addCriterion("closing_price <", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("closing_price <=", value, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceIn(List<BigDecimal> values) {
            addCriterion("closing_price in", values, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceNotIn(List<BigDecimal> values) {
            addCriterion("closing_price not in", values, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("closing_price between", value1, value2, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andClosingPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("closing_price not between", value1, value2, "closingPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceIsNull() {
            addCriterion("highest_price is null");
            return (Criteria) this;
        }

        public Criteria andHighestPriceIsNotNull() {
            addCriterion("highest_price is not null");
            return (Criteria) this;
        }

        public Criteria andHighestPriceEqualTo(BigDecimal value) {
            addCriterion("highest_price =", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceNotEqualTo(BigDecimal value) {
            addCriterion("highest_price <>", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceGreaterThan(BigDecimal value) {
            addCriterion("highest_price >", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("highest_price >=", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceLessThan(BigDecimal value) {
            addCriterion("highest_price <", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("highest_price <=", value, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceIn(List<BigDecimal> values) {
            addCriterion("highest_price in", values, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceNotIn(List<BigDecimal> values) {
            addCriterion("highest_price not in", values, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("highest_price between", value1, value2, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andHighestPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("highest_price not between", value1, value2, "highestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceIsNull() {
            addCriterion("lowest_price is null");
            return (Criteria) this;
        }

        public Criteria andLowestPriceIsNotNull() {
            addCriterion("lowest_price is not null");
            return (Criteria) this;
        }

        public Criteria andLowestPriceEqualTo(BigDecimal value) {
            addCriterion("lowest_price =", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceNotEqualTo(BigDecimal value) {
            addCriterion("lowest_price <>", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceGreaterThan(BigDecimal value) {
            addCriterion("lowest_price >", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("lowest_price >=", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceLessThan(BigDecimal value) {
            addCriterion("lowest_price <", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("lowest_price <=", value, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceIn(List<BigDecimal> values) {
            addCriterion("lowest_price in", values, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceNotIn(List<BigDecimal> values) {
            addCriterion("lowest_price not in", values, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lowest_price between", value1, value2, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andLowestPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lowest_price not between", value1, value2, "lowestPrice");
            return (Criteria) this;
        }

        public Criteria andAppliesIsNull() {
            addCriterion("applies is null");
            return (Criteria) this;
        }

        public Criteria andAppliesIsNotNull() {
            addCriterion("applies is not null");
            return (Criteria) this;
        }

        public Criteria andAppliesEqualTo(BigDecimal value) {
            addCriterion("applies =", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesNotEqualTo(BigDecimal value) {
            addCriterion("applies <>", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesGreaterThan(BigDecimal value) {
            addCriterion("applies >", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("applies >=", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesLessThan(BigDecimal value) {
            addCriterion("applies <", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("applies <=", value, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesIn(List<BigDecimal> values) {
            addCriterion("applies in", values, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesNotIn(List<BigDecimal> values) {
            addCriterion("applies not in", values, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("applies between", value1, value2, "applies");
            return (Criteria) this;
        }

        public Criteria andAppliesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("applies not between", value1, value2, "applies");
            return (Criteria) this;
        }

        public Criteria andAveragePriceIsNull() {
            addCriterion("average_price is null");
            return (Criteria) this;
        }

        public Criteria andAveragePriceIsNotNull() {
            addCriterion("average_price is not null");
            return (Criteria) this;
        }

        public Criteria andAveragePriceEqualTo(BigDecimal value) {
            addCriterion("average_price =", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceNotEqualTo(BigDecimal value) {
            addCriterion("average_price <>", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceGreaterThan(BigDecimal value) {
            addCriterion("average_price >", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("average_price >=", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceLessThan(BigDecimal value) {
            addCriterion("average_price <", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("average_price <=", value, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceIn(List<BigDecimal> values) {
            addCriterion("average_price in", values, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceNotIn(List<BigDecimal> values) {
            addCriterion("average_price not in", values, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("average_price between", value1, value2, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andAveragePriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("average_price not between", value1, value2, "averagePrice");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldIsNull() {
            addCriterion("near_annual_yield is null");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldIsNotNull() {
            addCriterion("near_annual_yield is not null");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldEqualTo(BigDecimal value) {
            addCriterion("near_annual_yield =", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldNotEqualTo(BigDecimal value) {
            addCriterion("near_annual_yield <>", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldGreaterThan(BigDecimal value) {
            addCriterion("near_annual_yield >", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("near_annual_yield >=", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldLessThan(BigDecimal value) {
            addCriterion("near_annual_yield <", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldLessThanOrEqualTo(BigDecimal value) {
            addCriterion("near_annual_yield <=", value, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldIn(List<BigDecimal> values) {
            addCriterion("near_annual_yield in", values, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldNotIn(List<BigDecimal> values) {
            addCriterion("near_annual_yield not in", values, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("near_annual_yield between", value1, value2, "nearAnnualYield");
            return (Criteria) this;
        }

        public Criteria andNearAnnualYieldNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("near_annual_yield not between", value1, value2, "nearAnnualYield");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}