package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * score_rank
 */
public class ScoreRank {
    @ApiModelProperty("排行数据id")
    private String rankId;

    @ApiModelProperty("用户id")
    private String userid;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("学校")
    private String schoolId;

    @ApiModelProperty("总成绩")
    private BigDecimal totalScore;

    @ApiModelProperty("总排名")
    private Integer totalRank;

    @ApiModelProperty("客户案例排名")
    private Integer khalRank;

    @ApiModelProperty("综合规划排名")
    private Integer zhghRank;

    @ApiModelProperty("理论考核排名")
    private Integer llkhRank;

    @ApiModelProperty("客户案例成绩")
    private BigDecimal khalScore;

    @ApiModelProperty("综合规划成绩")
    private BigDecimal zhghScore;

    @ApiModelProperty("理论考核平均成绩")
    private BigDecimal llkhScore;

    @ApiModelProperty("风险评测分数")
    private BigDecimal fxcp;

    @ApiModelProperty("财务分析分数")
    private BigDecimal cwfx;

    @ApiModelProperty("现金规划分数")
    private BigDecimal xjgh;

    @ApiModelProperty("教育规划分数")
    private BigDecimal jygh;

    @ApiModelProperty("消费规划分数")
    private BigDecimal xfgh;

    @ApiModelProperty("创业规划分数")
    private BigDecimal cygh;

    @ApiModelProperty("退休规划分数")
    private BigDecimal txgh;

    @ApiModelProperty("保险规划分数")
    private BigDecimal bxgh;

    @ApiModelProperty("投资规划分数")
    private BigDecimal tzgh;

    @ApiModelProperty("税务筹划分数")
    private BigDecimal swch;

    @ApiModelProperty("财产分配分数")
    private BigDecimal ccfp;

    @ApiModelProperty("财产传承分数")
    private BigDecimal cccc;

    @ApiModelProperty("完成案例个数")
    private Integer countCase;

    @ApiModelProperty("更新日期")
    private String updateDate;

    public String getRankId() {
        return rankId;
    }

    public void setRankId(String rankId) {
        this.rankId = rankId == null ? null : rankId.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId == null ? null : studentId.trim();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getTotalRank() {
        return totalRank;
    }

    public void setTotalRank(Integer totalRank) {
        this.totalRank = totalRank;
    }

    public Integer getKhalRank() {
        return khalRank;
    }

    public void setKhalRank(Integer khalRank) {
        this.khalRank = khalRank;
    }

    public Integer getZhghRank() {
        return zhghRank;
    }

    public void setZhghRank(Integer zhghRank) {
        this.zhghRank = zhghRank;
    }

    public Integer getLlkhRank() {
        return llkhRank;
    }

    public void setLlkhRank(Integer llkhRank) {
        this.llkhRank = llkhRank;
    }

    public BigDecimal getKhalScore() {
        return khalScore;
    }

    public void setKhalScore(BigDecimal khalScore) {
        this.khalScore = khalScore;
    }

    public BigDecimal getZhghScore() {
        return zhghScore;
    }

    public void setZhghScore(BigDecimal zhghScore) {
        this.zhghScore = zhghScore;
    }

    public BigDecimal getLlkhScore() {
        return llkhScore;
    }

    public void setLlkhScore(BigDecimal llkhScore) {
        this.llkhScore = llkhScore;
    }

    public BigDecimal getFxcp() {
        return fxcp;
    }

    public void setFxcp(BigDecimal fxcp) {
        this.fxcp = fxcp;
    }

    public BigDecimal getCwfx() {
        return cwfx;
    }

    public void setCwfx(BigDecimal cwfx) {
        this.cwfx = cwfx;
    }

    public BigDecimal getXjgh() {
        return xjgh;
    }

    public void setXjgh(BigDecimal xjgh) {
        this.xjgh = xjgh;
    }

    public BigDecimal getJygh() {
        return jygh;
    }

    public void setJygh(BigDecimal jygh) {
        this.jygh = jygh;
    }

    public BigDecimal getXfgh() {
        return xfgh;
    }

    public void setXfgh(BigDecimal xfgh) {
        this.xfgh = xfgh;
    }

    public BigDecimal getCygh() {
        return cygh;
    }

    public void setCygh(BigDecimal cygh) {
        this.cygh = cygh;
    }

    public BigDecimal getTxgh() {
        return txgh;
    }

    public void setTxgh(BigDecimal txgh) {
        this.txgh = txgh;
    }

    public BigDecimal getBxgh() {
        return bxgh;
    }

    public void setBxgh(BigDecimal bxgh) {
        this.bxgh = bxgh;
    }

    public BigDecimal getTzgh() {
        return tzgh;
    }

    public void setTzgh(BigDecimal tzgh) {
        this.tzgh = tzgh;
    }

    public BigDecimal getSwch() {
        return swch;
    }

    public void setSwch(BigDecimal swch) {
        this.swch = swch;
    }

    public BigDecimal getCcfp() {
        return ccfp;
    }

    public void setCcfp(BigDecimal ccfp) {
        this.ccfp = ccfp;
    }

    public BigDecimal getCccc() {
        return cccc;
    }

    public void setCccc(BigDecimal cccc) {
        this.cccc = cccc;
    }

    public Integer getCountCase() {
        return countCase;
    }

    public void setCountCase(Integer countCase) {
        this.countCase = countCase;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate == null ? null : updateDate.trim();
    }
}