package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 综合规划成绩表
 *
 * @author xcj
 * synthesis_plan_score
 */
public class SynthesisPlanScore extends SynthesisPlanScoreKey {
    @ApiModelProperty("理财类型")
    private String manageMoneyMattersType;

    @ApiModelProperty("考点")
    private String testCenter;

    @ApiModelProperty("答对状态 答对/答错")
    private String status;

    @ApiModelProperty("得分")
    private BigDecimal score;

    public String getManageMoneyMattersType() {
        return manageMoneyMattersType;
    }

    public void setManageMoneyMattersType(String manageMoneyMattersType) {
        this.manageMoneyMattersType = manageMoneyMattersType == null ? null : manageMoneyMattersType.trim();
    }

    public String getTestCenter() {
        return testCenter;
    }

    public void setTestCenter(String testCenter) {
        this.testCenter = testCenter == null ? null : testCenter.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }
}