package com.sztzjy.money_management.entity.dto;

import com.sztzjy.money_management.entity.CaseCashFlow;
import com.sztzjy.money_management.entity.CaseFinanceLiability;
import com.sztzjy.money_management.entity.CaseFinancialRatiosWithBLOBs;
import com.sztzjy.money_management.entity.CaseIncomeAndExpenses;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author xcj
 * @Date 2024/10/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CaseFinanceDto {
    @ApiModelProperty("案例-财务分析-资产负债表")
    private CaseFinanceLiability caseFinanceLiability;

    @ApiModelProperty("案例-财务分析-收支储蓄")
    private CaseIncomeAndExpenses caseIncomeAndExpenses;

    @ApiModelProperty("案例财务分析-现金流量")
    private CaseCashFlow caseCashFlow;

    @ApiModelProperty("财务比率分析表")
    private CaseFinancialRatiosWithBLOBs caseFinancialRatios;
}
